#include<bits/stdc++.h>

using namespace std;

int h,w;
char tabla[5][5];

int main()
{
    cin>>h>>w;

    for (int i=0;i<h;i++)
    {
        for (int j=0;j<w;j++)
        {
            cin>>tabla[i][j];
        }
    }

    cout<<-1;

    return 0;
}